<?php

namespace ByDedi\AdminBundle\Form\Extension;

use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 16/11/2016
 * Time: 11:54
 */
class FormTypeExtension extends AbstractTypeExtension
{
    public function __construct()
    {
    }

    public function getExtendedType()
    {
        return 'form';
    }

    /**
     * Add the image_path option
     *
     * @param OptionsResolver $resolver
     */
    public function setDefaultOptions(\Symfony\Component\OptionsResolver\Options $resolver)
    {
        $resolver->setDefaults(
            [
                'tooltip' => null,
                'admin_service' => null,
            ]
        );
    }
    /**
     * {@inheritdoc}
     */
    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $view->vars['tooltip'] = $options['tooltip'];
        $view->vars['mapped'] = $options['mapped'];
    }

    /**
     * Add the image_path option
     *
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $this->setDefaultOptions($resolver);
    }
}
